Gecode::Space::Branchers Class Reference

Class to iterate over branchers of a space. More...

`#include <core.hpp>`

## Public Member Functions

| Branchers (Space &home)
| Initialize.
bool | operator() (void) const
| Test whether there are branchers left.
void | operator++ (void)
| Move iterator to next brancher.
Brancher & | brancher (void) const
| Return propagator.

## Detailed Description

Class to iterate over branchers of a space.

Note that the iterator cannot be used during cloning.

Definition at line 2735 of file core.hpp.

## Constructor & Destructor Documentation

## Branchers()

Gecode::Space::Branchers::Branchers | ( | Space & | home | ) |

inline

Initialize.

Definition at line 4933 of file core.hpp.

## Member Function Documentation

## operator()()

bool Gecode::Space::Branchers::operator() | ( | void |  | ) | const

inline

Test whether there are branchers left.

Definition at line 4936 of file core.hpp.

## operator++()

void Gecode::Space::Branchers::operator++ | ( | void |  | ) |

inline

Move iterator to next brancher.

Definition at line 4940 of file core.hpp.

## brancher()

Brancher & Gecode::Space::Branchers::brancher | ( | void |  | ) | const

inline

Return propagator.

Definition at line 4944 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp